# printfigure

Opens a printing dialog and prints a figure.

## Calling Sequence

                printfigure(figid)
                status = printfigure(figid)

## Arguments

figid

  Real: the id of the figure to be printed.

status

  Boolean: %T if the printing succeeds, %F otherwise.

## Description

This function opens a dialog to select a printer, printing options... and then prints the figure.

## Examples

    plot2d();
    printfigure(get(gcf(), "figure_id"));

## See Also

- toprint
- printsetupbox